Skip to main content
GET
/
roles
/
{id}
Get role
import requests

url = "https://{FUSION HOST}/api/roles/{id}"

response = requests.get(url)

print(response.text)
{
  "id": "e4ac80c6-8905-4eaf-9670-b541b41f732e",
  "name": "test-role",
  "createdAt": "2025-10-31T18:12:59Z",
  "desc": "For testing only",
  "permissions": [
    {
      "methods": [
        "OPTIONS",
        "GET"
      ],
      "path": "/"
    }
  ],
  "uiPermissions": []
}

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The role ID. Note that the role ID is different than the role name. Use GET /roles to get the list of role IDs.

Response

OK

name
string
required
id
string
createdAt
string<date-time>
Example:

"2025-09-23T17:48:07Z"

updatedAt
string<date-time>
Example:

"2025-10-31T12:28:04Z"

desc
string
permissions
object[]
uiPermissions
string[]